## Author: M. Turhan ÇOBAN
## Created: 2021-06-20
## set_genotype
function retval = set_genotype1(fx,xmin,xmax,no,x)
  genotype1.no=no;
  genotype1.xmin=xmin;
  genotype1.xmax=xmax;
  genotype1.ngene=length(x);
  genotype1.f=fx;  
  for i=1:genotype.ngene    
    genotype1.x(i)=x(i);
    xx=double_to_binary (genotype1.x(1,i),genotype1.xmin(i),genotype1.xmax(1,i));
    genotype1.b(i,:)=xx;
  endfor
  genotype1.y=genotype1.f(genotype1.x);
  genotype.RFitness=genotype1.y;
  genotype.RCFitness=genotype1.y;
  retval =genotype1;  
endfunction